
Pre-Development - Feature #18629

FE - React - ACL CASL

25 October 2023 01:21 PM - chok yee fan

Status: Closed Start date: 25 October 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 30%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

No function for this.

Expected

-----

- Need to find component for this. after research, possible could use

https://casl.js.org/v6/en/

- Need to install into react project try and error.

- Create share function and example to let others dev refer how to use it.

- Function list will provide by BE webservice, the function need to accecpt the function list

History

#1 - 07 November 2023 05:56 PM - Amirul Umar Pandai

- Status changed from New to In Progress

- % Done changed from 0 to 30

CASL components are included in the project as a proof of concept. Future implementation will alter permissions on login. Pending integration with

web service

#2 - 18 December 2023 11:18 AM - chok yee fan

- Status changed from In Progress to Feedback

- Assignee changed from Amirul Umar Pandai to David Wong

pending web service to integrate

#3 - 05 February 2024 11:10 AM - chok yee fan

- Assignee changed from David Wong to Amirul Umar Pandai

R&D subject and action use the same value, will the CASL still working as expected.

Have to come out the format of the data (Constants only).

#4 - 05 February 2024 05:30 PM - Amirul Umar Pandai

- Status changed from Feedback to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Feature #18629 - copy CASL action into subject

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e328936ed11c31bd83b876d49b7ad7d395c8d9ae
https://casl.js.org/v6/en/
https://dev.silverlakemobility.com/redmine/issues/18629
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e328936ed11c31bd83b876d49b7ad7d395c8d9ae


#5 - 06 February 2024 10:48 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

-Try to commend out the { functionId: "FUNC_COUNTRY_MODIFY" }, in app,tsx. then test the modify button are there or not for all module.

-Check for all page for <Can I={ABILITY_CONSTANTS.MODIFY_COUNTRY} a={ABILITY_CONSTANTS.MODIFY_COUNTRY}> is there in

actionpage.

Result: The modify botton are gone as expected for all page.

#6 - 07 February 2024 10:42 AM - chok yee fan

- File Screenshot 2024-02-07 at 10.36.21 AM.png added

- File Screenshot 2024-02-07 at 10.40.35 AM.png added

- Assignee changed from chok yee fan to Amirul Umar Pandai

issue

-------

- ccTopNavbar still using functionGroup

- only remove COUNTRY, other module such as BUSINESS: "BUSINESS",MLEB: "MLEB" still there

expected

-------

- ccTopNavbar remove functionGroup, use functionId only

- remove other module such as BUSINESS: "BUSINESS",MLEB: "MLEB" etc

#7 - 07 February 2024 11:13 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

MLEB Core:

Feature #18629:

- Copy CASL action into subject

- Remove functionGroup from constants

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/2329e6b385b38485bb7ee7318af1b7cf95988d65

MLEB IAM:

Feature #18629 - remove functionGroup from constants

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/426444b8e2f9744c76b9bfe75fd4c130bdb17c3f

#8 - 07 February 2024 02:38 PM - Hazimi Muhammad
https://dev.silverlakemobility.com/redmine/issues/18629
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/2329e6b385b38485bb7ee7318af1b7cf95988d65
https://dev.silverlakemobility.com/redmine/issues/18629
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/426444b8e2f9744c76b9bfe75fd4c130bdb17c3f


- Assignee changed from Hazimi Muhammad to chok yee fan

Check for function group had been removed from the file cciam-constant , app,tsx , MenuConstant.tsx , Navbar.tsx

Check the  cctop-constant.tsx that need to remove the module such as BUSINESS: "BUSINESS",MLEB: "MLEB" etc

#9 - 07 February 2024 03:53 PM - chok yee fan

- Status changed from Feedback to Closed

after check no more the module or functionGroup

Files

Screenshot 2024-02-07 at 10.36.21 AM.png 414 KB 07 February 2024 chok yee fan

Screenshot 2024-02-07 at 10.40.35 AM.png 355 KB 07 February 2024 chok yee fan
